Убираем warning: Using the last argument... в Ruby 2.7.0

Используя ruby 2.7.0 появились вот такие предупреждения (warning) напротив практически каждой библиотеки:
warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
Чтобы убрать предупреждения и не засорять вывод терминала - добавим в bash-профайл (или любой другой соответствующий файл настроек) следующее значение:

RUBYOPT='-W:no-deprecated -W:no-experimental'

С этими значениями RUBYOPT, ruby 2.7.0 не будет ругаться.
Наверх